#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x78d67ff1, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xe9c1ae48, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x3199112b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x19227ff7, "vmemmap" },
	{ 0x4a7f16e7, "pci_cfg_access_unlock" },
	{ 0xc011bc43, "pci_enable_device" },
	{ 0x10dab522, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5c3c2698, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x2a24095e, "dma_unmap_page_attrs" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x2a3c8331, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x686cc6bb, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb9c465b, "page_pool_destroy" },
	{ 0xccded108, "netif_napi_add_weight_locked" },
	{ 0xd8adede0, "pci_irq_vector" },
	{ 0xcd88cce6, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0x96836e71, "pci_unregister_driver" },
	{ 0x335e7d7b, "pci_cfg_access_lock" },
	{ 0x918c8a5c, "pskb_expand_head" },
	{ 0x764d897c, "mlxsw_core_bus_device_register" },
	{ 0x500a19c0, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6072565b, "dma_map_page_attrs" },
	{ 0xb4cd9ffb, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x87772cc, "__napi_schedule" },
	{ 0x4906ca4a, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb051bd0b, "__pci_reset_function_locked" },
	{ 0x20c27be2, "__dma_sync_single_for_cpu" },
	{ 0x32663c38, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x20b3a9cf, "skb_push" },
	{ 0x25a5830d, "dma_alloc_attrs" },
	{ 0x92653b53, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x35c96098, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x460f86ad, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xdc89516f, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb474389d, "pci_restore_state" },
	{ 0x33476fe4, "page_pool_create" },
	{ 0x361d86c0, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xbb4b3cbd, "pci_set_master" },
	{ 0x9b8feb51, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6078a7e, "__netif_napi_del_locked" },
	{ 0xe798236d, "jiffies" },
	{ 0x4e44a82d, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xecb9eb34, "alloc_netdev_dummy" },
	{ 0x6821e066, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5ab124a7, "pci_release_regions" },
	{ 0xf6575696, "page_pool_alloc_pages" },
	{ 0x54ab6c95, "napi_build_skb" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd86aa8, "pci_disable_device" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xcef460e8, "dma_set_mask" },
	{ 0x6855fd41, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeecb9db3, "napi_schedule_prep" },
	{ 0x2c4e0109, "napi_consume_skb" },
	{ 0x1f1cba02, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xd390dc06, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "3D2977388AA39D71CCC042E");
MODULE_INFO(rhelversion, "9.99");
