#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xe8943a5f, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xa24a2812, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xc58c28ec, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xf790b6fb, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x13504134, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53e642cd, "__do_once_done" },
	{ 0x67cc2f9a, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x96d77e8, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x80b1dc82, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc1ca5b95, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfba8a491, "netdev_update_features" },
	{ 0xe3f108a4, "consume_skb" },
	{ 0x8fbbdf37, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe54c2720, "dev_uc_sync" },
	{ 0x3203bd41, "rtnl_link_register" },
	{ 0x2c27fb0f, "netif_inherit_tso_max" },
	{ 0x44b610ca, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x6328c22b, "ip_route_output_flow" },
	{ 0xc34f4229, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x7e729cb6, "dev_uc_unsync" },
	{ 0x712d9fef, "ether_setup" },
	{ 0x9cdeaba3, "netdev_err" },
	{ 0x7736336e, "netdev_upper_dev_link" },
	{ 0xf0dbbe5a, "register_pernet_subsys" },
	{ 0x29306f6f, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x3ef06f26, "eth_header_parse" },
	{ 0x1c36c2b7, "netdev_rx_handler_unregister" },
	{ 0x3eb528b7, "eth_header_cache_update" },
	{ 0x43e36644, "nf_register_net_hooks" },
	{ 0x411efaf9, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe94e2117, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf8d03a2b, "__dev_get_by_index" },
	{ 0xa059bd0b, "rtnl_link_unregister" },
	{ 0x8dc0b1ac, "skb_pull" },
	{ 0xc8dd3319, "sk_skb_reason_drop" },
	{ 0xc499c80, "netif_stacked_transfer_operstate" },
	{ 0xfd5c58e7, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61865f3, "ns_capable" },
	{ 0x7bdb36a0, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbd0bd344, "ethtool_op_get_link" },
	{ 0x2edb0873, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x565ebcb2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9b8feb51, "__pskb_pull_tail" },
	{ 0x4841e84e, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7f14e668, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x55ab2b3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xedb2c5e6, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x8f25ffa8, "call_netdevice_notifiers" },
	{ 0xa8d6945c, "vlan_vid_del" },
	{ 0x2d05b6ae, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9da3d90e, "skb_clone" },
	{ 0xd4370e29, "dst_release" },
	{ 0xb4f44d04, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3ad3a8ae, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf360137e, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xc82c0cb4, "dev_mc_unsync" },
	{ 0xd5087cf7, "dev_change_flags" },
	{ 0xdd0f48d4, "netdev_core_stats_inc" },
	{ 0x9717b66a, "dev_forward_skb" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9edf71e6, "register_netdevice" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7920E8DF5052EF89DCCE0C1");
MODULE_INFO(rhelversion, "9.99");
