#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xf5cf61f6, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xb3cf3c1c, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x663b98c8, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x8be7e8a8, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x831eb29d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34e52378, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x33dff9ad, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb9b0e02e, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb08d6615, "skb_copy_bits" },
	{ 0x8c3a1203, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xeb2f1cca, "sock_wfree" },
	{ 0x10dab522, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x2ca0ebbc, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x906d6c66, "ip6_dst_hoplimit" },
	{ 0xe3f108a4, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x12fd29ad, "inet6_add_offload" },
	{ 0x609396d4, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6873b2d4, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x11ed5fda, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xad112259, "l3mdev_fib_table_by_index" },
	{ 0x2869c20, "udp_sock_create4" },
	{ 0xcee52e2a, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb93640b9, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x595d060e, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa0c802d3, "skb_segment" },
	{ 0xe72db065, "trace_event_printf" },
	{ 0x1f0a1ff1, "__ip_dev_find" },
	{ 0x5e780cd5, "udp_tunnel6_xmit_skb" },
	{ 0x9a4e7de6, "sock_common_getsockopt" },
	{ 0x1a78635a, "inet_bind" },
	{ 0x5278957c, "sock_create" },
	{ 0x4c5da2b9, "net_hotdata" },
	{ 0x547724c9, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xe60a78fa, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x6700661, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xcda54d5e, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x9612e490, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8461f1fd, "security_sctp_assoc_established" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x3df0faff, "bpf_trace_run2" },
	{ 0x9c7c8685, "sock_common_setsockopt" },
	{ 0xdea6b3db, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6328c22b, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa3c7c177, "__sk_mem_schedule" },
	{ 0xeb350312, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x414305a9, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc62fddb3, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x85b203be, "sk_error_report" },
	{ 0xf0dbbe5a, "register_pernet_subsys" },
	{ 0x28248cba, "put_cmsg" },
	{ 0xe66dbb33, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xbd855b88, "register_net_sysctl_sz" },
	{ 0xb42dfeb3, "inet_sock_destruct" },
	{ 0x1fdf38e, "crypto_destroy_tfm" },
	{ 0x82556b33, "sock_kmalloc" },
	{ 0x6e926494, "inet_sk_get_local_port_range" },
	{ 0xf63b8f4f, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x6bd8871e, "inet_getname" },
	{ 0xfb2ab072, "proto_unregister" },
	{ 0x65669cfa, "security_sctp_sk_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xe0bb6549, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1414ad77, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0x56b1771, "inet_release" },
	{ 0xb83fa48e, "proto_register" },
	{ 0x1fc32423, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x67668c6e, "inet6_compat_ioctl" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x1a61b19a, "inet_ctl_sock_create" },
	{ 0xfa54211a, "inet_ioctl" },
	{ 0xce9ab8e0, "reuseport_add_sock" },
	{ 0x684d9ba, "reuseport_select_sock" },
	{ 0x956254ce, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5d590a3c, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe5337286, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8adc234e, "fput" },
	{ 0x35618200, "__traceiter_sk_data_ready" },
	{ 0xbaa56f90, "inet_accept" },
	{ 0x141ced48, "init_net" },
	{ 0x9bdfc6e9, "crypto_shash_setkey" },
	{ 0x8dc0b1ac, "skb_pull" },
	{ 0xed2e40f6, "inet_add_offload" },
	{ 0xc8dd3319, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe0b47b2a, "inet_add_protocol" },
	{ 0x604205bd, "inet_shutdown" },
	{ 0xef195e56, "sk_free" },
	{ 0xa78f6f58, "sock_wake_async" },
	{ 0xb6881aa1, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x59d32fdd, "inet_del_offload" },
	{ 0x20b3a9cf, "skb_push" },
	{ 0xb6c4f965, "__ip_queue_xmit" },
	{ 0xd6228ad6, "kmem_cache_free" },
	{ 0xfc5515f9, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x494c01b8, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x61865f3, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x42a04eaf, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xaaf13ca2, "inet6_ioctl" },
	{ 0xec3de230, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xad55eb88, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x565ebcb2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6aeb2860, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x47fa1001, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe0b8ffc0, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xfde67567, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9fe46308, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9b8feb51, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa5358222, "__kmem_cache_create_args" },
	{ 0x95a739dc, "setup_udp_tunnel_sock" },
	{ 0xff95ca1d, "udp_sock_create6" },
	{ 0xe7c9268b, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x50d1dc5e, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x37d02ce4, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5283624b, "inet6_getname" },
	{ 0xe66613a2, "sock_i_ino" },
	{ 0x98673d38, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb3e934a0, "ip6_xmit" },
	{ 0x7cfb0104, "security_sctp_assoc_request" },
	{ 0xfa7ede3d, "crc32c_le_arch" },
	{ 0x51b0045c, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x73cff9ed, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7d8a28d4, "trace_event_buffer_reserve" },
	{ 0x393429e2, "__skb_checksum" },
	{ 0x97f6ce97, "reuseport_alloc" },
	{ 0xb0b980f3, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x99f25ba7, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x58eb4ba8, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf470310, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfcc525f1, "ipv6_dup_options" },
	{ 0xaac0c594, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x19691c31, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27d2a03b, "seq_printf" },
	{ 0xdaadcfa, "proc_create_net_single" },
	{ 0x97d39c63, "skb_copy" },
	{ 0x9da3d90e, "skb_clone" },
	{ 0x2186d2ce, "inet_sk_set_state" },
	{ 0xd4370e29, "dst_release" },
	{ 0x8e8c5d97, "_copy_from_iter" },
	{ 0x9b84b119, "sock_release" },
	{ 0x67257d21, "inet_recv_error" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x87c0ee45, "sock_gettstamp" },
	{ 0xc5581305, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x7923861e, "_proc_mkdir" },
	{ 0xf3939503, "sk_setup_caps" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xc167e430, "send_sig" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xfd29a569, "inet6_add_protocol" },
	{ 0xb96e2970, "from_kuid_munged" },
	{ 0x5c28f545, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xa5a426d7, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5c5703a, "ipv6_getsockopt" },
	{ 0xe7f285cb, "reuseport_detach_sock" },
	{ 0x4b244681, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xcd523429, "iov_iter_revert" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x25f2136a, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe517389, "sock_init_data" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x3b3c00cf, "kmem_cache_destroy" },
	{ 0x1920a0d2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa66ee111, "skb_queue_head" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F493289C0024A1FC3E4801D");
MODULE_INFO(rhelversion, "9.99");
