#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(tape_core_dbf, "", "");
KSYMTAB_FUNC(tape_generic_remove, "", "");
KSYMTAB_FUNC(tape_generic_probe, "", "");
KSYMTAB_FUNC(tape_generic_online, "", "");
KSYMTAB_FUNC(tape_generic_offline, "", "");
KSYMTAB_FUNC(tape_put_device, "", "");
KSYMTAB_FUNC(tape_get_device, "", "");
KSYMTAB_DATA(tape_state_verbose, "", "");
KSYMTAB_DATA(tape_op_verbose, "", "");
KSYMTAB_FUNC(tape_state_set, "", "");
KSYMTAB_FUNC(tape_med_state_set, "", "");
KSYMTAB_FUNC(tape_alloc_request, "", "");
KSYMTAB_FUNC(tape_free_request, "", "");
KSYMTAB_FUNC(tape_dump_sense_dbf, "", "");
KSYMTAB_FUNC(tape_do_io, "", "");
KSYMTAB_FUNC(tape_do_io_async, "", "");
KSYMTAB_FUNC(tape_do_io_interruptible, "", "");
KSYMTAB_FUNC(tape_cancel_io, "", "");
KSYMTAB_FUNC(tape_mtop, "", "");
KSYMTAB_FUNC(tape_std_assign, "", "");
KSYMTAB_FUNC(tape_std_unassign, "", "");
KSYMTAB_FUNC(tape_std_display, "", "");
KSYMTAB_FUNC(tape_std_read_block_id, "", "");
KSYMTAB_FUNC(tape_std_mtload, "", "");
KSYMTAB_FUNC(tape_std_mtsetblk, "", "");
KSYMTAB_FUNC(tape_std_mtreset, "", "");
KSYMTAB_FUNC(tape_std_mtfsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsr, "", "");
KSYMTAB_FUNC(tape_std_mtbsr, "", "");
KSYMTAB_FUNC(tape_std_mtweof, "", "");
KSYMTAB_FUNC(tape_std_mtbsfm, "", "");
KSYMTAB_FUNC(tape_std_mtbsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsfm, "", "");
KSYMTAB_FUNC(tape_std_mtrew, "", "");
KSYMTAB_FUNC(tape_std_mtoffl, "", "");
KSYMTAB_FUNC(tape_std_mtnop, "", "");
KSYMTAB_FUNC(tape_std_mteom, "", "");
KSYMTAB_FUNC(tape_std_mtreten, "", "");
KSYMTAB_FUNC(tape_std_mterase, "", "");
KSYMTAB_FUNC(tape_std_mtunload, "", "");
KSYMTAB_FUNC(tape_std_mtcompression, "", "");
KSYMTAB_FUNC(tape_std_read_block, "", "");
KSYMTAB_FUNC(tape_std_read_backward, "", "");
KSYMTAB_FUNC(tape_std_write_block, "", "");
KSYMTAB_FUNC(tape_std_process_eov, "", "");

SYMBOL_CRC(tape_core_dbf, 0xbb0cef9e, "");
SYMBOL_CRC(tape_generic_remove, 0x10cdab35, "");
SYMBOL_CRC(tape_generic_probe, 0x714fe7d3, "");
SYMBOL_CRC(tape_generic_online, 0x1818b9eb, "");
SYMBOL_CRC(tape_generic_offline, 0x3c9d3a34, "");
SYMBOL_CRC(tape_put_device, 0x19475a78, "");
SYMBOL_CRC(tape_get_device, 0xd9f94ea5, "");
SYMBOL_CRC(tape_state_verbose, 0x2546c415, "");
SYMBOL_CRC(tape_op_verbose, 0x66deb66c, "");
SYMBOL_CRC(tape_state_set, 0xf5793dc6, "");
SYMBOL_CRC(tape_med_state_set, 0x7072df80, "");
SYMBOL_CRC(tape_alloc_request, 0xc5afb01f, "");
SYMBOL_CRC(tape_free_request, 0xf5e510fc, "");
SYMBOL_CRC(tape_dump_sense_dbf, 0xb6d14c86, "");
SYMBOL_CRC(tape_do_io, 0xc9bf8e14, "");
SYMBOL_CRC(tape_do_io_async, 0x59c72bb2, "");
SYMBOL_CRC(tape_do_io_interruptible, 0xe7f1b30c, "");
SYMBOL_CRC(tape_cancel_io, 0xf0784070, "");
SYMBOL_CRC(tape_mtop, 0xa4435c62, "");
SYMBOL_CRC(tape_std_assign, 0x8422120e, "");
SYMBOL_CRC(tape_std_unassign, 0x48a69c9a, "");
SYMBOL_CRC(tape_std_display, 0x6cc58c77, "");
SYMBOL_CRC(tape_std_read_block_id, 0x9fd0f476, "");
SYMBOL_CRC(tape_std_mtload, 0x920dc313, "");
SYMBOL_CRC(tape_std_mtsetblk, 0xcb970c5f, "");
SYMBOL_CRC(tape_std_mtreset, 0xf72f9437, "");
SYMBOL_CRC(tape_std_mtfsf, 0xb5a0a73f, "");
SYMBOL_CRC(tape_std_mtfsr, 0xa4e15bc5, "");
SYMBOL_CRC(tape_std_mtbsr, 0x6d9379fa, "");
SYMBOL_CRC(tape_std_mtweof, 0xb75c9421, "");
SYMBOL_CRC(tape_std_mtbsfm, 0xf9274eec, "");
SYMBOL_CRC(tape_std_mtbsf, 0x7cd28500, "");
SYMBOL_CRC(tape_std_mtfsfm, 0x4f8811f3, "");
SYMBOL_CRC(tape_std_mtrew, 0x989184fd, "");
SYMBOL_CRC(tape_std_mtoffl, 0xe6256296, "");
SYMBOL_CRC(tape_std_mtnop, 0xf85255c4, "");
SYMBOL_CRC(tape_std_mteom, 0x66689b49, "");
SYMBOL_CRC(tape_std_mtreten, 0xb440a282, "");
SYMBOL_CRC(tape_std_mterase, 0xc5134f93, "");
SYMBOL_CRC(tape_std_mtunload, 0x612ffa0e, "");
SYMBOL_CRC(tape_std_mtcompression, 0x4b97aa72, "");
SYMBOL_CRC(tape_std_read_block, 0x84448842, "");
SYMBOL_CRC(tape_std_read_backward, 0xb67c7cb6, "");
SYMBOL_CRC(tape_std_write_block, 0xa4d92949, "");
SYMBOL_CRC(tape_std_process_eov, 0xda0a1208, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31f6b206, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a0ca0c3, "register_tape_dev" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf857c9ad, "debug_set_level" },
	{ 0x71c1bed1, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xbdd6a573, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x926e65b4, "module_put" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xa35ae61d, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x3f91e521, "ccw_device_get_id" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6be9a009, "sysfs_create_group" },
	{ 0xf03df8b6, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfe020a35, "unregister_tape_dev" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xef614bef, "ccw_device_clear" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1f5e36fe, "sysfs_remove_group" },
	{ 0x273a8b85, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdaf86d34, "remove_proc_entry" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x27d2a03b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xa7c4d14, "stream_open" },
	{ 0x8b74dc01, "ccw_device_set_options" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xf380f0ed, "debug_sprintf_view" },
	{ 0x56ea9ced, "proc_create_seq_private" },
	{ 0xf31e76da, "__debug_sprintf_exception" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xde03757c, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "tape_class");


MODULE_INFO(srcversion, "38DB16B0CAEE0DAF3DE0070");
MODULE_INFO(rhelversion, "9.99");
