#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xec02e3ae, "");
SYMBOL_CRC(jbd2_journal_start, 0x9a38c2b6, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xce8228c0, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xbd6ecb5f, "");
SYMBOL_CRC(jbd2__journal_restart, 0x3e6cc532, "");
SYMBOL_CRC(jbd2_journal_restart, 0x649b1b02, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x891cd4fc, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x094ee547, "");
SYMBOL_CRC(jbd2_journal_extend, 0x1c07b3d9, "");
SYMBOL_CRC(jbd2_journal_stop, 0x620ee0c6, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x7044b527, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x567868d7, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x62938f65, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xea80f6f4, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x0cc3bcd0, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xcb2492a5, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x99e4fe6b, "");
SYMBOL_CRC(jbd2_journal_forget, 0xce1d5fbc, "");
SYMBOL_CRC(jbd2_journal_flush, 0x672376e8, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xec2bd364, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xbb830d19, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x7693df32, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xd58df181, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x7b532363, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xb5a928c7, "");
SYMBOL_CRC(jbd2_journal_load, 0x9a8180a2, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xa59417ed, "");
SYMBOL_CRC(jbd2_journal_abort, 0x147ea33c, "");
SYMBOL_CRC(jbd2_journal_errno, 0xe3324dad, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x1a3d3c00, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xe6062610, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x6b210d77, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x82994648, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xaed710e3, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x658d3130, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x4d1e06eb, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x0375d369, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x713039c8, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x94088163, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xc50edeec, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x90c756c7, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x3b408164, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x61a53095, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x58220307, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xd75f1106, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x06593e45, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xf9151ee9, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xd1755e94, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x10245eb7, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xc1905b16, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xfe9f1128, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x62470c9b, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xf9291f0d, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x61804a28, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x66101b24, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x09573955, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xe6481851, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xfd1c811f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x677f2641, "bh_uptodate_or_lock" },
	{ 0x695283e0, "shrinker_alloc" },
	{ 0x19227ff7, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc57ad201, "blk_start_plug" },
	{ 0xeb30669a, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x55a28965, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4e2e2f52, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x11ed5fda, "trace_raw_output_prep" },
	{ 0x734d3537, "bpf_trace_run6" },
	{ 0xdd4db083, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x24dbcd71, "__find_get_block" },
	{ 0x595d060e, "__trace_trigger_soft_disabled" },
	{ 0x1cd58780, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe72db065, "trace_event_printf" },
	{ 0x94704cc4, "__bforget" },
	{ 0x10111ed6, "write_dirty_buffer" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x6700661, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xac0cc9c8, "iput" },
	{ 0xc1ae547e, "seq_lseek" },
	{ 0x839968d2, "blockdev_superblock" },
	{ 0xecdab020, "proc_create_data" },
	{ 0x3df0faff, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9acb05bc, "bpf_trace_run8" },
	{ 0x2c901cd6, "submit_bh" },
	{ 0xe13e00e2, "alloc_buffer_head" },
	{ 0x28f70165, "wake_up_process" },
	{ 0x835911f2, "shrinker_free" },
	{ 0xe66dbb33, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xa96353f7, "try_to_free_buffers" },
	{ 0x218dea72, "sync_blockdev" },
	{ 0x484d37e2, "free_buffer_head" },
	{ 0x3f8f99c6, "shrinker_register" },
	{ 0x43bfc4c8, "blk_finish_plug" },
	{ 0x81e1a5e0, "bdev_getblk" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0xcce44f14, "crc32_be_arch" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb8f1d89d, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb09e3d9, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe5337286, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x719b81bb, "__bh_read_batch" },
	{ 0xae2dd582, "bpf_trace_run5" },
	{ 0xde6a15fa, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd6228ad6, "kmem_cache_free" },
	{ 0xd6e8f417, "__bh_read" },
	{ 0x494c01b8, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x542277f1, "blkdev_issue_zeroout" },
	{ 0x583562c1, "filemap_fdatawait_range_keep_errors" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x347ddb9b, "freezing_slow_path" },
	{ 0x629a356a, "bpf_trace_run1" },
	{ 0x74fb96b4, "proc_mkdir" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfde67567, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa5358222, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0xde9587c7, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x37d02ce4, "bpf_trace_run3" },
	{ 0xdfd51104, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x89dbb154, "unlock_buffer" },
	{ 0xfa7ede3d, "crc32c_le_arch" },
	{ 0x7d8a28d4, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x3773803e, "__folio_put" },
	{ 0xdaf86d34, "remove_proc_entry" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27d2a03b, "seq_printf" },
	{ 0xae9fbc68, "__lock_buffer" },
	{ 0xf83c3144, "truncate_inode_pages_range" },
	{ 0x7cc56416, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x698b9f65, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcab9c7b2, "end_buffer_write_sync" },
	{ 0xf29b949, "seq_open" },
	{ 0xf8ebe670, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x3b3c00cf, "kmem_cache_destroy" },
	{ 0x493996b7, "blkdev_issue_discard" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B9535DBB34DB12C031231F");
MODULE_INFO(rhelversion, "9.99");
